function test02

warning off

example=1;

MM=11;
[X, W] = legpts(100000); % choose even number (set does not contain 0)

ip=find(X > 0);
Xp=X(ip); Wp=W(ip);
im=find(X < 0); Xm=X(im); Wm=W(im);
i0=find(X < 0);
if length(i0)> 0,
    X0=X(i0); W0=W(i0);
else
    X0=[]; W0=[];
end


switch example
    
    case 1
        % xz(1)=1.00001; xz(2)=-1.00001; Nrat=12;
        xz(1)=0.7+0.1*i; xz(2)=conj(xz(1));  Nrat=8;
        f=@(x) 1./((x-xz(1)).*(x-xz(2))).^Nrat;
        
    case 2
        xz(1)=0.7+0.1*i; xz(2)=conj(xz(1)); xz(3)=1.01; xz(4)=-xz(3); Nrat=8;
        f=@(x) 1./((x-xz(1)).*(x-xz(2)).*(x-xz(3)).*(x-xz(4))).^Nrat;
        
end


fprintf('\n \t 1. Building cubatures CHEBFUN sum \n');
tic;
for k=1:MM
    
    g=@(x) cos((k-1)*acos(x)).*f(x);
    G=chebfun(g,'splitting','on');
    I1(k)=sum(G);
    
end
toc;


fprintf('\n \t 2. Building cubatures Legendre \n');
tic;
for k=1:MM
    
    g=@(x) cos((k-1)*acos(x)).*f(x);
    gval=feval(g,X);
    I2(k)=W*gval;
    
end
toc;


fprintf('\n \t 3. Building cubatures Legendre symm. \n');
tic;
for k=1:MM
    
    if rem(k,2) == 1
        g=@(x) cos((k-1)*acos(x)).*f(x);
        gvalp=feval(g,Xp);
        I3(k)=2*Wp*gvalp;
    else
        I3(k)=0;
    end
    
end
toc;




fprintf('\n \t 4. Building cubatures Fejer (Deckers & others) \n');
tic;

a=xz;
m=Nrat;

% describing degree of precision
max_deg=MM;

% making "sgl" parameter
a_term=repmat(a,m,1); a_term=(a_term(:))';
deg_term = inf*ones(1,max_deg);
sgl=[a_term,deg_term];

tic;
[x,err] = rfejer(sgl);

xx=x(1,:); xx=xx';
ww=x(2,:); ww=ww';

for k=1:MM
    
    if rem(k,2) == 1
        g=@(x) cos((k-1)*acos(x)).*f(x);
        gval=feval(g,xx);
        I4(k)=ww'*gval;
    else
        I4(k)=0;
    end
    
end
toc;






I1o=I1(1:2:end);
I2o=I2(1:2:end);
I3o=I3(1:2:end);
I4o=I4(1:2:end);

RE12=norm((I1o-I2o)./I2o,inf)
RE13=norm((I1o-I3o)./I2o,inf)
RE14=norm((I1o-I4o)./I2o,inf)

RE23=norm((I2o-I3o)./I2o,inf)
RE24=norm((I2o-I4o)./I2o,inf)

RE34=norm((I3o-I4o)./I2o,inf)
format short e
[I1' I2' I3' I4']







